> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/ko/gaebal/chiliz-chain-api.md).

# Chiliz Chain API

Chiliz Chain API는 CHZ 공급 및 거버넌스에 관한 유용한 정보를 제공합니다. 특정 블록까지의 유통 공급량 세부사항과 특정 주소에 대한 스테이킹 정보를 포함합니다.

## API 세부사항

### 기본 URL

API의 기본 URL은 `https://cc-api.chiliz.com/`입니다.

기본 Swagger 문서는 여기에서 확인할 수 있습니다: <https://cc-api.chiliz.com/docs>

### 인증

Chiliz Chain API는 보안 스키마 정의를 위해 [OpenAPI 사양](https://www.openapis.org/)(OAS) v3.0.3을 사용합니다.

특정 인증 방법은 이 문서에 자세히 설명되어 있지 않으므로, 인증 방법에 대한 자세한 내용은 [OAS 3.0 사양](https://spec.openapis.org/oas/v3.0.3.html)을 참조하세요.

### 데이터 형식

모든 요청과 응답은 JSON 형식입니다.

## 엔드포인트

### GET /supply

지정된 블록 번호까지의 현재 CHZ 유통 공급량과 블록별 인플레이션 및 디플레이션 정보를 검색합니다.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

특정 에포크 번호까지 특정 주소의 현재 총 스테이킹 금액과 스테이킹 보상을 검색하고, CHZ가 스테이킹된 위치(검증자 및 금액) 세부사항을 포함합니다.

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/ko/gaebal/chiliz-chain-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
